#ifndef __NFS_SECURITY_UTILES_H
#define __NFS_SECURITY_UTILES_H

typedef enum
{
  IMA_POLICY_TYPE = 0,
  FILE_POLICY_TYPE,
  PROCESS_POLICY_TYPE,
  MODULE_POLICY_TYPE,
  NETWORK_POLICY_TYPE
} policy_type;

int add_to_config(char *rule, int type);
int del_from_config(char *rule, int type);
int add_policy_rule(char *rule, int type);
int del_policy_rule(char *rule, int type);
int clean_policy_rule(int type);
int get_policy_fd(int type);
int open_policy_file(int type);
int close_policy_file(int type);

#endif /* __NFS_SECURITY_UTILES_H */